# Uses of Interface
org.eclipse.emf.cdo.common.branch.CDOBranchHandler

Packages that use CDOBranchHandler
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDOBranchHandler in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch with parameters of type CDOBranchHandler
Modifier and Type
Method
Description
`int`
CDOBranchManager.`getBranches(int startID, int endID, CDOBranchHandler handler)`
Passes all branches with IDs in the given range to the given `branch handler` and returns the number of handler invocations.

## Uses of CDOBranchHandler in org.eclipse.emf.cdo.spi.common

Subinterfaces of CDOBranchHandler in org.eclipse.emf.cdo.spi.common
Modifier and Type
Interface
Description
`interface`
`CDOReplicationContext`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOBranchHandler in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDOBranchHandler
Modifier and Type
Method
Description
`int`
InternalCDOBranchManager.BranchLoader.`loadBranches(int startID, int endID, CDOBranchHandler branchHandler)`

## Uses of CDOBranchHandler in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOBranchHandler in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...